pubsub issues - datacollector

asked 2019-04-29 17:23:42 -0600

rakeysh gravatar image

we are trying to build a custom tar for the data collector to support different mogo driver(3.6.4) with the 3.9.0-snapshot version of the code. as we were seeing the classpath conflicts for the grpc modules, we commented out google-cloud-lib modules. Now we have a different problem w.r.t Credentials.

We are passing the credentials to gke containers using secrets and location via env variable "- name: GOOGLE_APPLICATION_CREDENTIALS"

Error publishing message: 'io.grpc.StatusRuntimeException: UNAUTHENTICATED: Credentials required channel with PRIVACY_AND_INTEGRITY security level. Observed security level: NONE'

edit retag flag offensive close merge delete